/*
 * Created on 11.02.2005
 *
 */
package net.sit.dialog.srv;

import java.io.IOException;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import org.apache.log4j.Logger;

public class DialogServer extends UnicastRemoteObject implements DialogServerIF {

    private static final long serialVersionUID = 3257009843356645682L;
    static Logger logger = Logger.getLogger(DialogServer.class.getName());

    protected DialogServer() throws RemoteException {
        super();
    }

    public boolean displayMessageDialog(String message) throws RemoteException {
        logger.debug("Message: " + message);
        Runtime rt = Runtime.getRuntime();
        try {
            Process p = rt.exec("./syscall.sh " + message);
        } catch (IOException e) {
            logger.debug("Folgender Fehler ist aufgetaucht:");
            logger.error(e.getCause() + "/" + e.getMessage());
            StackTraceElement[] elements = e.getStackTrace();
            for (int i = 0; i < elements.length; i++)
                logger.error(elements[i]);
        }
        return false;
    }

}
