package net.sit.dialog.srv;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * @author Christoph Sandhaus
 * 
 * <p>
 * In einem Remote-Interface werden eine oder mehrere Methoden definiert, die
 * als aufrufbare Dienste anderen Arbeitspltzen zur Verfgung gestellt werden
 * sollen.
 * <p>
 * Das Interface <b>mu </b> das Interface Remote erweitern, die Methoden
 * <b>mssen </b> RemoteExceptions werfen.
 */

public interface DialogServerIF extends Remote {

    public boolean displayMessageDialog(String message) throws RemoteException;
}
